Closed Bug 513560 Opened 10 years ago Closed 10 years ago

mochitest-browser-chrome: intermittent "browser_passwordmgrdlg.js | Timed out"

Categories

(Toolkit :: Password Manager, defect)

x86
Linux
defect
Not set

Tracking

()

RESOLVED FIXED
mozilla1.9.3a1
Tracking Status
status1.9.2 --- beta3-fixed

People

(Reporter: sgautherie, Assigned: ehsan)

References

(Depends on 1 open bug)

Details

(Keywords: intermittent-failure)

Attachments

(1 file, 1 obsolete file)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1251632618.1251638510.5559.gz
Linux mozilla-central unit test on 2009/08/30 04:43:38
{
Running chrome://mochikit/content/browser/toolkit/components/passwordmgr/test/browser/browser_passwordmgrdlg.js...
TEST-UNEXPECTED-FAIL | ... | Timed out
}
Blocks: 438871
Whiteboard: [orange]
I don't think this is a dupe of bug 513560 but browser_passwordmgrdlg.js was changed in that bug, so worth a mention.
(In reply to comment #1)
> I don't think this is a dupe of bug 513560 but browser_passwordmgrdlg.js was
> changed in that bug, so worth a mention.

Bug 513560 is this bug, right?
Attached patch Patch (v1) (obsolete) — Splinter Review
This could be caused by browser_passwordmgr_sort.js finishing before the passwordmgr dialog has actually closed, and browser_passwordmgr.js timing out looking for a domwindowopened.

In this fix, I also ported the focus handling rewrite changes to browser_passwordmgr_sort.js as well.
Assignee: nobody → ehsan.akhgari
Status: NEW → ASSIGNED
Attachment #398877 - Flags: review?(dolske)
Comment on attachment 398877 [details] [diff] [review]
Patch (v1)

Unlucky you, Enn just blogged about what should be a better way to fix this:

http://enndeakin.wordpress.com/2009/09/08/how-to-fix-focus-related-problems-in-tests/
Attachment #398877 - Flags: review?(dolske) → review-
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1252904272.1252907789.17847.gz
Linux mozilla-central test everythingelse on 2009/09/13 21:57:52
Depends on: 516440
(In reply to comment #4)
> (From update of attachment 398877 [details] [diff] [review])
> Unlucky you, Enn just blogged about what should be a better way to fix this:
> 
> http://enndeakin.wordpress.com/2009/09/08/how-to-fix-focus-related-problems-in-tests/

I filed bug 516440 to port this to the browser chrome tests framework, so that I can use it here.
(In reply to comment #2)
Oh yea, my mistake. I must have copied the wrong bug number... Maybe the one that you fixed before?
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1255645695.1255649616.21267.gz
Linux mozilla-central test everythingelse on 2009/10/15 15:28:15  
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/components/passwordmgr/test/browser/browser_passwordmgrdlg.js | Timed out

and then a possibly-related error on shutdown:

buildbot.slave.commands.TimeoutError: command timed out: 1200 seconds without output, killing pid 4625
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257932979.1257938217.8708.gz
Linux mozilla-central debug test everythingelse on 2009/11/11 01:49:39  
s: moz2-linux-slave27
Switch to waitForFocus as well as the previous fix for waiting until the window is closed.
Attachment #398877 - Attachment is obsolete: true
Attachment #411699 - Flags: review?(dolske)
FYI, waitForFocus can be a bit finicky in browser-chrome tests. There's a fix checked in, but it doesn't always work. See bug 521233.
Depends on: 521233
Thanks for mentioning this, I added that as a dependency on this bug, though actually the other part of the patch is what really solves this orange.
Attachment #411699 - Flags: review?(dolske) → review+
http://hg.mozilla.org/mozilla-central/rev/5b8c9b073078
Status: ASSIGNED → RESOLVED
Closed: 10 years ago
Flags: in-testsuite+
Resolution: --- → FIXED
Target Milestone: --- → mozilla1.9.3a1
Attachment #411699 - Attachment description: Patch (v2) → Patch (v2) [Checkin: Comment 14 & 15]
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.